To delete Device Values for a specific time range please make a POST request to the following URL:
HTTP Method URL POST https://industrial.api.ubidots.com/api/v2.0/devices/<device_key>/_/values/delete/
Parameter Type Description device_key String The id or label of the Device, label should use the prefix ~
Parameter Type Use Description token String Authentication Authentication Token can optionally be sent as a query parameter. startDate Long Required Parameter Start date in milliseconds endDate Long Required Parameter End date in milliseconds
cURL (Request)
$ curl -X POST 'https://industrial.api.ubidots.com/api/v2.0/devices/<device_key>/_/values/delete/?startDate=1632614400000&endDate=1632614500000' \
-H 'X-Auth-Token: oaXBo6ODhIjPsusNRPUGIK4d72bc73'
202 Accepted 400 Bad Request 401 Unauthorized
{
"task": {
"id": "5df7b7501a9ca5714e7a1301"
}
}{
"code": 400001,
"message": "Validation Error.",
"detail": {
....
}
}{
"code": 401001,
"message": "Authentication credentials were not provided.",
"detail": "Authentication credentials were not provided."
}
Returns a task ID for the asynchronous process.